Bug 175864 - kudzu crashes on i815 video probe
kudzu crashes on i815 video probe
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-15 15:53 EST by Jim McElwaine
Modified: 2014-03-16 22:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2.16-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-19 15:05:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim McElwaine 2005-12-15 15:53:13 EST
Description of problem:
/sbin/kudzu -p
screen goes blank. If I switch to a virtual console garbage appears on the
screen and it hangs requiring power off


Version-Release number of selected component (if applicable):
kudzu-1.2.15-1
kernel-2.6.14-1.1760_FC5
and all verions since at least November

How reproducible:
every time


Steps to Reproduce:
1. /sbin/kudzu -p
2.
3.
  
Actual results:


Expected results:


Additional info:
doesn't crash with the safe option

[root@unknown0800466115cf jnm11]# /sbin/kudzu -ps
-
class: OTHER
bus: PCI
detached: 0
driver: snd-intel8x0m
desc: "Intel Corporation 82801BA/BAM AC'97 Modem"
vendorId: 8086
deviceId: 2446
subVendorId: 104d
subDeviceId: 8111
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  6
-
class: OTHER
bus: PCI
detached: 0
driver: i2c-i801
desc: "Intel Corporation 82801BA/BAM SMBus"
vendorId: 8086
deviceId: 2443
subVendorId: 104d
subDeviceId: 8111
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  3
-
class: OTHER
bus: PCI
detached: 0
driver: i8xx_tco
desc: "Intel Corporation 82801BAM ISA Bridge (LPC)"
vendorId: 8086
deviceId: 244c
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: shpchp
desc: "Intel Corporation 82801 Mobile PCI Bridge"
vendorId: 8086
deviceId: 2448
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1e
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
desc: "Intel Corporation 82815 815 Chipset Host Bridge and Memory Controller Hub"
vendorId: 8086
deviceId: 1130
subVendorId: 104d
subDeviceId: 8111
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  0
pcifn:  0
-
class: OTHER
bus: USB
detached: 0
desc: "Linux 2.6.14-1.1760_FC5 uhci_hcd UHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 1
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.14-1.1760_FC5 uhci_hcd
usbprod: UHCI Host Controller
-
class: OTHER
bus: USB
detached: 0
desc: "Linux 2.6.14-1.1760_FC5 uhci_hcd UHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 2
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.14-1.1760_FC5 uhci_hcd
usbprod: UHCI Host Controller
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0200"
deviceId: PNP0200
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0303"
deviceId: PNP0303
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0800"
deviceId: PNP0800
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0b00"
deviceId: PNP0b00
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c02"
deviceId: PNP0c02
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c02"
deviceId: PNP0c02
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c04"
deviceId: PNP0c04
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "SNY5001"
deviceId: SNY5001
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "SNY6001"
deviceId: SNY6001
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "SNY9002"
deviceId: SNY9002
compat: PNP0f13
-
class: OTHER
bus: USB
detached: 0
desc: "Sony USB Memory Stick Slot"
usbclass: 8
usbsubclass: 5
usbprotocol: 0
usbbus: 2
usblevel: 1
usbport: 0
usbdev: 2
vendorId: 054c
deviceId: 0069
usbmfr: Sony
usbprod: USB Memory Stick Slot
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: e100
desc: "Intel Corporation 82801BA/BAM/CA/CAM Ethernet Controller"
network.hwaddr: 08:00:46:61:15:cf
vendorId: 8086
deviceId: 2449
subVendorId: 104d
subDeviceId: 8111
pciType: 1
pcidom:    0
pcibus:  1
pcidev:  8
pcifn:  0
-
class: NETWORK
bus: PCMCIA
detached: 0
device: wifi0
driver: orinoco_cs
desc: "Lucent Technologies WaveLAN/IEEE Version 01.01"
network.hwaddr: 00:02:2d:58:d5:b1
vendorId: 0156
deviceId: 0002
function: 0
slot: 1
-
class: MOUSE
bus: PSAUX
detached: 0
device: input/mice
driver: synaptics
desc: "AlpsPS/2 ALPS GlidePoint"
-
class: MOUSE
bus: USB
detached: 0
device: input/mice
driver: genericwheelusb
desc: "Microsoft Microsoft 5-Button Mouse with IntelliEye(TM)"
usbclass: 3
usbsubclass: 1
usbprotocol: 2
usbbus: 1
usblevel: 1
usbport: 0
usbdev: 2
vendorId: 045e
deviceId: 0039
usbmfr: Microsoft
usbprod: Microsoft 5-Button Mouse with IntelliEye(TM)
-
class: MOUSE
bus: PSAUX
detached: 0
device: input/mice
driver: generic3ps/2
desc: "PS/2 Mouse"
-
class: AUDIO
bus: PCI
detached: 0
driver: snd-intel8x0
desc: "Intel Corporation 82801BA/BAM AC'97 Audio"
vendorId: 8086
deviceId: 2445
subVendorId: 104d
subDeviceId: 8111
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  5
-
class: VIDEO
bus: PCI
detached: 0
driver: i2c-i810
desc: "Intel Corporation 82815 CGC [Chipset Graphics Controller]"
video.xdriver: i810
vendorId: 8086
deviceId: 1132
subVendorId: 104d
subDeviceId: 8111
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  2
pcifn:  0
-
class: HD
bus: IDE
detached: 0
device: hda
desc: "IC25N030ATCS04-0"
physical: 16383/16/63
logical: 58140/16/63
-
class: HD
bus: SCSI
detached: 0
device: sda
desc: "Sony MSC-U03"
host: 0
id: 0
channel: 0
lun: 0
generic: sg0
-
class: KEYBOARD
bus: PSAUX
detached: 0
desc: "AT Translated Set 2 keyboard"
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "Intel Corporation 82801BA/BAM USB (Hub #2)"
vendorId: 8086
deviceId: 2444
subVendorId: 104d
subDeviceId: 8111
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  4
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "Intel Corporation 82801BA/BAM USB (Hub #1)"
vendorId: 8086
deviceId: 2442
subVendorId: 104d
subDeviceId: 8111
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  2
-
class: SOCKET
bus: PCI
detached: 0
driver: yenta_socket
desc: "Texas Instruments PCI1410 PC card Cardbus Controller"
vendorId: 104c
deviceId: ac50
subVendorId: 12a3
subDeviceId: ab01
pciType: 1
pcidom:    0
pcibus:  1
pcidev:  5
pcifn:  0
-
class: SOCKET
bus: PCI
detached: 0
driver: yenta_socket
desc: "Ricoh Co Ltd RL5c475"
vendorId: 1180
deviceId: 0475
subVendorId: 104d
subDeviceId: 8111
pciType: 1
pcidom:    0
pcibus:  1
pcidev:  2
pcifn:  0
-
class: FIREWIRE
bus: PCI
detached: 0
driver: ohci1394
desc: "Texas Instruments TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link)"
vendorId: 104c
deviceId: 8023
subVendorId: 104d
subDeviceId: 8111
pciType: 1
pcidom:    0
pcibus:  1
pcidev:  0
pcifn:  0
-
class: IDE
bus: PCI
detached: 0
desc: "Intel Corporation 82801BAM IDE U100"
vendorId: 8086
deviceId: 244a
subVendorId: 104d
subDeviceId: 8111
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  1
[
Comment 1 Bill Nottingham 2005-12-15 15:58:59 EST
WHat happens with 1.2.16-1? (Yes, something changed there that could affect it.)
Comment 2 Jim McElwaine 2005-12-19 15:00:23 EST
That's fixed it. No longer crashes.
system-config-display does not offer the correct resolution however only offer
640x480 and 800x600 not 1024. I guess this isn't a problem with kudzu however.
 
Comment 3 Bill Nottingham 2005-12-19 15:05:57 EST
OK, closing.

Note You need to log in before you can comment on or make changes to this bug.